<template>
  <section class="cart bg--gray">
    <v-container>
      <v-row>
        <v-col lg="8">
          <h2>
            {{ $t("cart") }}
          </h2>
          <v-card class="px-5 py-6 mt-6">
            <div class="cart_product mb-5">
              <div class="d-flex justify-space-between align-center">
                <div class="d-flex">
                  <div class="bg--gray product-img">
                    <div class="d-flex justify-center align-center px-2 py-2">
                      <LazySharedImage class="w-100 h-100" name="t-shirt.png" />
                    </div>
                  </div>
                  <div class="mx-2">
                    <p class="mb-3 font-weight-bold">ديفاكتو</p>
                    <p>سماعة اذن بلوتوث اورايمو فري بودز لايت، ابيض -OTW-330</p>
                    <p class="color--gray font-size-12">الحجم: M</p>
                    <p class="color--gray font-size-12">
                      يتم التوصيل خلال يومين من طلب الاوردر
                    </p>
                  </div>
                </div>
                <div class="d-flex">
                  <div class="d-flex counter">
                    <LazySharedButton> + </LazySharedButton>
               
                    <v-text-field height="20px" hide-details v-model="form.counter" />
                    <LazySharedButton>- </LazySharedButton>
                  </div>
                  <p class="font-size-14 font-weight-bold">2200 جنيه مصري</p>
                </div>
                <div>
                  <LazySharedImage class="cursor-pointer" name="remove-icon.svg" />
                </div>
              </div>
            </div>
            <div class="cart_product">
              <div class="d-flex justify-space-between align-center">
                <div class="d-flex">
                  <div class="bg--gray product-img">
                    <div class="d-flex justify-center align-center px-2 py-2">
                      <LazySharedImage class="w-100 h-100" name="t-shirt.png" />
                    </div>
                  </div>
                  <div class="mx-2">
                    <p class="mb-3 font-weight-bold">ديفاكتو</p>
                    <p>سماعة اذن بلوتوث اورايمو فري بودز لايت، ابيض -OTW-330</p>
                    <p class="color--gray font-size-12">الحجم: M</p>
                    <p class="color--gray font-size-12">
                      يتم التوصيل خلال يومين من طلب الاوردر
                    </p>
                  </div>
                </div>
                <div class="d-flex">
                  <p class="font-size-14 font-weight-bold">2200 جنيه مصري</p>
                </div>
                <div>
                  <LazySharedImage class="cursor-pointer" name="remove-icon.svg" />
                </div>
              </div>
            </div>
          </v-card>
        </v-col>
        <v-col lg="4">
          <v-card class="px-5 py-6 mt-6">
            <p class="mb-4 font-weight-bold">
              {{ $t("summary_price") }}
            </p>
            <div class="d-flex justify-space-between mb-3">
              <p class="color--gray font-size-14">{{ $t("subtotal") }}</p>
              <p class="font-weight-bold font-size-14">حتى 25 جنية مصري</p>
            </div>
            <div class="d-flex justify-space-between mb-3">
              <p class="color--gray font-size-14">{{ $t("fees") }}</p>
              <p class="font-weight-bold font-size-14">حتى 25 جنية مصري</p>
            </div>
            <hr class="my-4" />

            <div class="d-flex justify-space-between mb-3">
              <p class="color--gray font-size-14">{{ $t("total_products") }}</p>
              <p class="font-weight-bold font-size-14">حتى 25 جنية مصري</p>
            </div>

            <LazySharedButton class="rounded-lg" block color="primary">
              {{ $t("buy_now") }}
            </LazySharedButton>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </section>
</template>

<script setup>
import { useRoute } from "vue-router";
const route = useRoute();

const form = ref({
 counter:0,
});



</script>

